Subject: Re: [RFC PATCH] hooks: add some defaults to support sane workflow to pre-commit

From: Heiko Voigt <[email-masked]>
Date: Sat, 21 Feb 2009 11:56:02 +0100

Wincent Colaiuta schrieb:
> El 20/2/2009, a las 19:13, Heiko Voigt escribió:
> 
>> As far as I know all "sane" workflows involve topic branches, so
>> normally a developer will never commit directly on master but use topic
>> branch instead and merge them into master once finished.
> 
> (Shudder... by that definition there must be a lot of insane people out
> there!)
> 
> I think what constitutes a "sane" workflow depends very much on the
> project in question, the number of developers, the collaboration model etc.

You are right I was thinking to specific. My goal with this RFC is to
add some default behaviour to git in terms of workflows and prevent some
common pitfalls. 

This leads me to a completely different solution to the same problem.
How about teaching git to inherit its hooks from the parental project
(e.g. the one it was cloned from)? That way we are not limited to
one default behaviour but many that would match the one from the
upstream project.

The simplest implementation would just copy the hooks directory when
cloning and leave customizations to the user. This should probably be
disabled by default and enabled with a config option on the server side.

What do you think about that?

cheers Heiko